Skip to content
Start here

Update an app

realtime_kit.apps.update_app_by_id(strapp_id, AppUpdateAppByIDParams**kwargs) -> AppUpdateAppByIDResponse
PATCH/accounts/{account_id}/realtime/kit/apps/{app_id}

Update the name of an app in your account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
account_id: str

The account identifier tag.

maxLength32
app_id: str
formatuuid
name: str

The app name. Leading and trailing whitespace is removed, and the name must contain at least one non-whitespace character.

maxLength150
ReturnsExpand Collapse
class AppUpdateAppByIDResponse: …
data: Data
id: Optional[str]
formatuuid
cf_account_tag: Optional[str]
created_at: Optional[datetime]
formatdate-time
is_org_on_kv: Optional[bool]
name: Optional[str]
success: Literal[true]

Update an app

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.realtime_kit.apps.update_app_by_id(
    app_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    name="name",
)
print(response.data)
{
  "data": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "cf_account_tag": "cf_account_tag",
    "created_at": "2019-12-27T18:11:19.117Z",
    "is_org_on_kv": true,
    "name": "name"
  },
  "success": true
}
Returns Examples
{
  "data": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "cf_account_tag": "cf_account_tag",
    "created_at": "2019-12-27T18:11:19.117Z",
    "is_org_on_kv": true,
    "name": "name"
  },
  "success": true
}